Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226686 - Under 2.6.18-1.3002.el5 ProcBlockAction stalls (forever) with a proc object that has had assertSendStop() called
Summary: Under 2.6.18-1.3002.el5 ProcBlockAction stalls (forever) with a proc object t...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Bachalo
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks: 173278
TreeView+ depends on / blocked
 
Reported: 2007-01-31 22:36 UTC by Andrew Cagney
Modified: 2011-02-15 09:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-15 09:34:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 3910 None None None Never

Description Andrew Cagney 2007-01-31 22:36:59 UTC
This is preliminary information.  Testcase et.al. to follow.

There appears to be missing events when a child is being attached.  This is only
occuring with the 3002 kernel.

This may be related to: bug #218410

1)
testCoreFileCreated(frysk.util.TestFCore)junit.framework.AssertionFailedError:
event loop run explictly stopped (Running event loop for core file)
   at frysk.proc.TestLib.assertRunUntilStop(TestRunner)
   at frysk.proc.TestLib.assertRunUntilStop(TestRunner)
   at frysk.util.TestFCore.constructCore(TestRunner)
   at frysk.util.TestFCore.testCoreFileCreated(TestRunner)
   at frysk.junit.Runner.runCases(TestRunner)
   at frysk.junit.Runner.runArchCases(TestRunner)
   at frysk.junit.Runner.runTestCases(TestRunner)
   at TestRunner.main(TestRunner)

Comment 1 Mark Wielaard 2008-03-13 23:02:00 UTC
For reference the upstream testcase has been renamed. It passes on fedora 8 now:

$ ./TestRunner frysk.isa.corefiles.TestLinuxElfCorefile
Running testCoreFileCreated(frysk.isa.corefiles.TestLinuxElfCorefile) ...PASS
Running testElfCoreHeader(frysk.isa.corefiles.TestLinuxElfCorefile) ...PASS
Running testProgramSegmentHeader(frysk.isa.corefiles.TestLinuxElfCorefile) ...PASS
Running testAuxv(frysk.isa.corefiles.TestLinuxElfCorefile) ...PASS
Running testRegexSelectedMap(frysk.isa.corefiles.TestLinuxElfCorefile) ...PASS

Time: 0.115

OK (5 tests)

The possibly related bug #218140 mentioned in the comment has been closed.


Note You need to log in before you can comment on or make changes to this bug.